'''
string formatting examples
COSC 120
Fall 2017, Dr. Fred Park
'''


print('hello world!')

print("hello world!")

print('fear the poet!!')

#old style string formatting, C-style string
print('My name is %s, I teach at %s' %('Dr. Park','Whittier College'))

# new style: invoke the format method from the string class (string object)
# object: user defined data type or simply: things python code manipulates
# everything in python is an object

#multiple output
print('My name is {} and I am a Prof. at {}, I teach {}'.format('Dr. Park','Whittier College','COSC 190'))

#multiple output with ordering
print('My name is {0} and I am a Prof. at {1}, I teach {2}'.format('Dr. Park','Whittier College','COSC 190'))

#multiple output with ordering changed
print('My name is {2} and I am a Prof. at {1}, I teach {0}'.format('Dr. Park','Whittier College','COSC 190'))

#multiple output with key instead of index
print('My name is {prof} and I am a Prof. at {school}, I teach {course}'.format(prof='Dr. Park', school='Whittier College', course='COSC 190'))

#multiple output, note order of keys
print('My name is {prof} and I am a Prof. at {school}, I teach {course}'.format(school='Whittier College', course='COSC 190', prof='Dr. Park'))


#{field_name:conversion}
#field_name: index or key to field
#conversion: conversion code

nm = input('please enter your name: ');
print('hello {:s}'.format(nm))

nm = input('please enter your name: ');
mys = 'hello {:s}, today is {:s} which is day {:d} of the week if we start counting from Monday!'
print(mys.format(nm,'Friday',5))

nm = input('please enter your name: ');
mys = 'hello {1:s}, today is {0:s} which is day {2:d} of the week if we start counting from Monday!'
print(mys.format(nm,'Friday',5))


import math as mt
pi = mt.pi
print('PI = %1.48f' %pi) # C-style string
print('PI = {:1.48f}'.format(pi)) #new style. invoke string method format


import math as mt
pi = mt.pi
print('PI = %1.48f' %pi) # C-style string
print('PI = {:9.3f}'.format(pi)) #new style. invoke string method format

nd = 5
print('hello {:s}, 3 divided by 5 is = {:2.5f} \nnote we\'re using {:d} decimal places'.format('fred', 5/3, nd))

print('{:<30}'.format('left aligned'))

print('{:>30}'.format('right aligned'))

print('{:^30}'.format('centered'))

print('{:*^50}'.format('centered with space filler'))

print('{:*^80}'.format('center'))

print('{:<30} {:>30}'.format('left aligned','right aligned'))



for i in range(3,13):
    print(i, i*i, i*i*i)


for i in range(3,13):
    print("{0:5d} {1:7d} {2:6d}".format(i, i*i, i*i*i))


# 3 columns of numbers left justified with at least 2 spaces between them
for i in range(3,13):
    print("{0:<3d} {1:<4d} {2:<6d}".format(i, i*i, i*i*i))
